Skip to main content

Word Registration Class Names

Retrieves a list of class names used for word registration in user dictionaries. Classes only exist for word registration in the Hybrid engine and are not present in keyword biasing for the End to End engine.

Endpoint

GET https://acp-api.amivoice.com/classnames/<dgn>

Authentication

Please specify the API key in the Authorization header.

Authorization: Bearer {API_KEY}

Request Parameters

Parameter Name
Parameter Type
Notes
dgnConnection engine nameSpecify the connection engine name such as -a-general. For available values, please see List of Speech Recognition Engines. Set as a path parameter.
adfAudio data formatSpecify either 16k or 8k. If not specified, it defaults to 16k. Although some speech recognition engines support multiple sampling rates, user dictionary treats 8k and 16k as different engines, so you need to specify one. Set it as a query parameter.

Response

On Success

HTTP Status Code: 200 OK

Response Body

Field Name
Description
Additional Information
classnamesClass namesClass names are returned in array format

Example

{
"classnames":
[
"固有名詞",
"名前",
"名前(名)",
"駅名",
"地名",
"会社名",
"部署名",
"役職名",
"記号",
"括弧開き",
"括弧閉じ",
"元号"
]
}

On Failure

HTTP Status Code: Other than 200

Response Body

Field Name
Description
Additional Information
codeError codeCode indicating the type of error
messageError messageText explaining the details of the error content

Error Codes and Error Messages

HTTP Status Code
Response BodyError Situation
404 Not Found{"code":"?","message":"missing dictation grammar file name"}When the dictation grammar file name <dgn> is not specified
405 Method Not Allowed{"code":"?","message":"POST method is not allowed"}When POST is specified
401 Unauthorized{"code":"-","message":"can't verify service authorization"}When authentication of the API key (service authentication key string) fails
401 Unauthorized{"code":"-","message":"service authorization has expired: <expirationTime> (<expiresIn>)"}When authentication of the API key (service authentication key string) fails
500 Internal Server Error{"code":"?","message":"unexpected exception occurred (<optionalMessage>)"}When an unexpected exception occurs

Example

{
"code":"?",
"message":"missing dictation grammar file name"
}